### Method

# Phosh DBusSensorProxyCompass set_compass_heading

#### Declaration [src]

    void
    phosh_dbus_sensor_proxy_compass_set_compass_heading (
      PhoshDBusSensorProxyCompass* object,
      gdouble value
    )

#### Description [src]

Sets the “CompassHeading” D-Bus property to `value`.

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

This method is not directly available to language bindings.

Sets property | `Phosh.DBusSensorProxyCompass:compass-heading`

#### Parameters

`value`

  Type: `gdouble`

  The value to set.